/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * PointInTriangle.java
 *
 * Created on 16.12.2011, 14:22:18
 */
package PointInTriangle;

import PointInTriangle.DrawingPanel.ALGORITHM;
import javax.swing.JLabel;

/**
 *
 * @author SUN2K
 */
public class PointInTriangleApplet extends javax.swing.JApplet {

    private DrawingPanel drawPanel;
    
    /** Initializes the applet PointInTriangle */
    @Override
    @SuppressWarnings("CallToThreadDumpStack")
    public void init() {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(PointInTriangleApplet.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(PointInTriangleApplet.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(PointInTriangleApplet.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(PointInTriangleApplet.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the applet */
        try {
            java.awt.EventQueue.invokeAndWait(new Runnable() {

                @Override
                public void run() {
                    initComponents();
                }
            });
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        
        setSize(580, 400);
        drawPanel = new DrawingPanel(this, 400, 400);
        getContentPane().add(drawPanel);
    }

    /* Following methods are lousy helper functions to easily set the intermediate
     * calculation results to the labels - dirty quick hack.
     */
    public JLabel getTrianglePoint1XLabel() { return trianglePoint1XLabel; }
    public JLabel getTrianglePoint1YLabel() { return trianglePoint1YLabel; }
    public JLabel getTrianglePoint2XLabel() { return trianglePoint2XLabel; }
    public JLabel getTrianglePoint2YLabel() { return trianglePoint2YLabel; }
    public JLabel getTrianglePoint3XLabel() { return trianglePoint3XLabel; }
    public JLabel getTrianglePoint3YLabel() { return trianglePoint3YLabel; }
    public JLabel getTestPointXLabel() { return testPointXLabel; }
    public JLabel getTestPointYLabel() { return testPointYLabel; }
    public JLabel getUserDefinedLabel1() { return userDefinedLabel1; }
    public JLabel getUserDefinedLabel2() { return userDefinedLabel2; }
    public JLabel getUserDefinedLabel3() { return userDefinedLabel3; }
    
    /** This method is called from within the init() method to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        algorithmButtonGroup = new javax.swing.ButtonGroup();
        jSeparator1 = new javax.swing.JSeparator();
        jPanel1 = new javax.swing.JPanel();
        barycentricRadioButton = new javax.swing.JRadioButton();
        crossProductRadioButton = new javax.swing.JRadioButton();
        jSeparator2 = new javax.swing.JSeparator();
        trianglePoint1NameLabel = new javax.swing.JLabel();
        trianglePoint1XLabel = new javax.swing.JLabel();
        trianglePoint1YLabel = new javax.swing.JLabel();
        trianglePoint2NameLabel = new javax.swing.JLabel();
        trianglePoint2XLabel = new javax.swing.JLabel();
        trianglePoint2YLabel = new javax.swing.JLabel();
        trianglePoint3NameLabel = new javax.swing.JLabel();
        trianglePoint3XLabel = new javax.swing.JLabel();
        trianglePoint3YLabel = new javax.swing.JLabel();
        testPointNameLabel = new javax.swing.JLabel();
        testPointXLabel = new javax.swing.JLabel();
        testPointYLabel = new javax.swing.JLabel();
        userDefinedLabel1 = new javax.swing.JLabel();
        userDefinedLabel3 = new javax.swing.JLabel();
        userDefinedLabel2 = new javax.swing.JLabel();

        getContentPane().setLayout(null);

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel1.setOpaque(false);
        jPanel1.setLayout(null);

        algorithmButtonGroup.add(barycentricRadioButton);
        barycentricRadioButton.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        barycentricRadioButton.setText("Barycentric Algorithm");
        barycentricRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                barycentricRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(barycentricRadioButton);
        barycentricRadioButton.setBounds(10, 40, 123, 20);

        algorithmButtonGroup.add(crossProductRadioButton);
        crossProductRadioButton.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        crossProductRadioButton.setSelected(true);
        crossProductRadioButton.setText("CrossProduct Side Algorithm");
        crossProductRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                crossProductRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(crossProductRadioButton);
        crossProductRadioButton.setBounds(10, 10, 160, 21);
        jPanel1.add(jSeparator2);
        jSeparator2.setBounds(0, 70, 176, 10);

        trianglePoint1NameLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint1NameLabel.setText("Triangle Point 1");
        jPanel1.add(trianglePoint1NameLabel);
        trianglePoint1NameLabel.setBounds(10, 80, 70, 13);

        trianglePoint1XLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint1XLabel.setText("x =");
        jPanel1.add(trianglePoint1XLabel);
        trianglePoint1XLabel.setBounds(10, 100, 40, 14);

        trianglePoint1YLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint1YLabel.setText("y =");
        jPanel1.add(trianglePoint1YLabel);
        trianglePoint1YLabel.setBounds(80, 100, 70, 14);

        trianglePoint2NameLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint2NameLabel.setText("Triangle Point 2");
        jPanel1.add(trianglePoint2NameLabel);
        trianglePoint2NameLabel.setBounds(10, 120, 70, 13);

        trianglePoint2XLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint2XLabel.setText("x =");
        jPanel1.add(trianglePoint2XLabel);
        trianglePoint2XLabel.setBounds(10, 140, 50, 14);

        trianglePoint2YLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint2YLabel.setText("y =");
        jPanel1.add(trianglePoint2YLabel);
        trianglePoint2YLabel.setBounds(80, 140, 60, 14);

        trianglePoint3NameLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint3NameLabel.setText("Triangle Point 3");
        jPanel1.add(trianglePoint3NameLabel);
        trianglePoint3NameLabel.setBounds(10, 160, 70, 13);

        trianglePoint3XLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint3XLabel.setText("x =");
        jPanel1.add(trianglePoint3XLabel);
        trianglePoint3XLabel.setBounds(10, 180, 50, 14);

        trianglePoint3YLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        trianglePoint3YLabel.setText("y =");
        jPanel1.add(trianglePoint3YLabel);
        trianglePoint3YLabel.setBounds(80, 180, 60, 14);

        testPointNameLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        testPointNameLabel.setText("Test Point");
        jPanel1.add(testPointNameLabel);
        testPointNameLabel.setBounds(10, 200, 44, 13);

        testPointXLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        testPointXLabel.setText("x =");
        jPanel1.add(testPointXLabel);
        testPointXLabel.setBounds(10, 220, 50, 14);

        testPointYLabel.setFont(new java.awt.Font("Tahoma", 0, 10));
        testPointYLabel.setText("y =");
        jPanel1.add(testPointYLabel);
        testPointYLabel.setBounds(80, 220, 60, 14);

        userDefinedLabel1.setText("-");
        jPanel1.add(userDefinedLabel1);
        userDefinedLabel1.setBounds(10, 260, 120, 14);

        userDefinedLabel3.setText("-");
        jPanel1.add(userDefinedLabel3);
        userDefinedLabel3.setBounds(10, 300, 120, 13);

        userDefinedLabel2.setText("-");
        jPanel1.add(userDefinedLabel2);
        userDefinedLabel2.setBounds(10, 280, 120, 14);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(400, 0, 180, 400);
    }// </editor-fold>//GEN-END:initComponents

    private void crossProductRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_crossProductRadioButtonActionPerformed
        drawPanel.setAlgorithm(ALGORITHM.CROSSPRODUCT_ALGO);
    }//GEN-LAST:event_crossProductRadioButtonActionPerformed

    private void barycentricRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_barycentricRadioButtonActionPerformed
        drawPanel.setAlgorithm(ALGORITHM.BARYCENTRIC_ALGO);
    }//GEN-LAST:event_barycentricRadioButtonActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup algorithmButtonGroup;
    private javax.swing.JRadioButton barycentricRadioButton;
    private javax.swing.JRadioButton crossProductRadioButton;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JLabel testPointNameLabel;
    private javax.swing.JLabel testPointXLabel;
    private javax.swing.JLabel testPointYLabel;
    private javax.swing.JLabel trianglePoint1NameLabel;
    private javax.swing.JLabel trianglePoint1XLabel;
    private javax.swing.JLabel trianglePoint1YLabel;
    private javax.swing.JLabel trianglePoint2NameLabel;
    private javax.swing.JLabel trianglePoint2XLabel;
    private javax.swing.JLabel trianglePoint2YLabel;
    private javax.swing.JLabel trianglePoint3NameLabel;
    private javax.swing.JLabel trianglePoint3XLabel;
    private javax.swing.JLabel trianglePoint3YLabel;
    private javax.swing.JLabel userDefinedLabel1;
    private javax.swing.JLabel userDefinedLabel2;
    private javax.swing.JLabel userDefinedLabel3;
    // End of variables declaration//GEN-END:variables


}
